<template>
  <section class="flex justify-center">
    <div class="w-[1200px]">
      <div
        class="flex gap-2 justify-between"
        :class="{
          __module__five: data.SelectedStyle.includes('_05'),
        }"
      >
        <template v-for="(p, index) in data.Position" :key="p">
          <lobby-settings-provider-type-module-one-two
            v-if="
              data.SelectedStyle.includes('_01') ||
              data.SelectedStyle.includes('_02')
            "
            :data="data"
            :position="p"
            :description="moduleOneDescriptions?.[p] ?? ''"
          />
          <lobby-settings-provider-type-module-five
            v-else-if="data.SelectedStyle.includes('_05')"
            :data="data"
            :position="p"
            :style="[checkBgColorModuleFive(p)]"
            :index="index"
            :is-hover="isHover"
            :handle-redirect="handleRedirect"
            @mouseenter="() => onMouseEnter(p)"
            @mouseleave="() => onMouseLeave(p)"
          />
          <lobby-settings-provider-type-module-three
            v-else
            :data="data"
            :position="p"
            :description="moduleThreeDescriptions?.[p] ?? ''"
            :style="checkColor(p)"
            :handle-redirect="handleRedirect"
          />
        </template>
      </div>
    </div>
  </section>
</template>

<script lang="ts" setup>
import useProvidertypeModule from "~~/composables/lobby/useProviderTypeModule";
import { ILobbySettingsText } from "~~/models/customizeTheme";

type propsType = {
  data: ILobbySettingsText;
};

const props = defineProps<propsType>();
const {
  isHover,
  moduleThreeDescriptions,
  moduleOneDescriptions,

  checkColor,
  checkBgColorModuleFive,
  onMouseEnter,
  onMouseLeave,
  handleRedirect,
} = useProvidertypeModule(props);
</script>

<style lang="scss">
@media screen and (max-width: 651px) {
  .__module__five {
    flex-direction: column;
  }
}
</style>
